Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
[Java] Class LongCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.NumberCachedClass
              org.codehaus.groovy.reflection.stdclasses.LongCachedClass

    public class LongCachedClass
    extends NumberCachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`LongCachedClass(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`java.lang.Object` | `coerceArgument(java.lang.Object argument)`
`boolean` | `isAssignableFrom(java.lang.Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(java.lang.Object argument)`

Methods inherited from class NumberCachedClass
coerceArgument, isAssignableFrom

Methods inherited from class CachedClass
addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### LongCachedClass

    public LongCachedClass(java.lang.Class klazz, ClassInfo classInfo, boolean allowNull)

Method Detail

### coerceArgument

    public java.lang.Object coerceArgument(java.lang.Object argument)

### isAssignableFrom

    public boolean isAssignableFrom(java.lang.Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(java.lang.Object argument)

Groovy Documentation